This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 155838 - Lack of fr-CA translation in firefox
Lack of fr-CA translation in firefox
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature, Translation
Depends On:
Blocks: FC4Update
  Show dependency treegraph
 
Reported: 2005-04-24 10:37 EDT by Patrice Guay
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 12:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Guay 2005-04-24 10:37:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050421 Red Hat/1.0.3-1.4.1.TL1 Firefox/1.0.3

Description of problem:
The firefox version shipped by Red Hat does not support internationalization, especially the French language. However, the Firefox project support multiple languages (English, French, Spanish, etc).

Version-Release number of selected component (if applicable):
firefox-1.0.3-1.4.1

How reproducible:
Always

Steps to Reproduce:
1. Launch firefox

  

Actual Results:  Firefox interface is in English.

Expected Results:  Firefox interface should be displayed in my prefered language (French in my case).

Additional info:
Comment 2 Leon Ho 2005-05-16 21:21:04 EDT
We do include french translation in RHEL4's firefox package:
/usr/lib/firefox-1.0/chrome/fr-FR.jar

What locale are you running as (you can find it out by 'locale command')
Comment 3 Patrice Guay 2005-05-16 21:38:37 EDT
I'm using the french canadian locale (LANG=fr_CA.UTF-8).
Comment 4 Patrice Guay 2005-05-24 17:29:06 EDT
I've found an easy workaround:
# cd /usr/lib/firefox-<version>
# ln -s chrome/fr-FR.jar chrome/fr-CA.jar

Hence, it may be a good idea to add such links in order
to support different locales sharing the same language.
Comment 5 Leon Ho 2005-05-25 21:00:14 EDT
However this create some problems as not all translated phrases are equal on
different regions. 
Comment 6 Lawrence Lim 2005-05-25 23:36:25 EDT
Just want to add a note that Bug 137134 has been progressing very well in
regards to adding LANG pack to firefox. 
Comment 7 Warren Togami 2005-05-28 04:17:04 EDT
This will not be fixed by FC4.
Comment 12 RHEL Product and Program Management 2006-07-21 12:28:17 EDT
Development Management has reviewed and declined this request.  You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.